Rat's

Python 3.6一键安装脚本 for CentOS/Debian
说明:最近一直在玩爬虫,需要使用到python3和pip3,手动安装又有点麻烦,就搞了个一键脚本,Python版本...
扫描右侧二维码阅读全文
08
2018/02

Python 3.6一键安装脚本 for CentOS/Debian

说明:最近一直在玩爬虫,需要使用到python3pip3,手动安装又有点麻烦,就搞了个一键脚本,Python版本为3.6.4,脚本安装了很多依赖包,不会因为缺少依赖而出问题,这里就分享下。

安装

1、检查下系统是否有Python3

python3 -V

2、安装Python3

#CentOS系统
wget https://www.moerats.com/usr/shell/Python3/CentOS_Python3.6.sh && sh CentOS_Python3.6.sh
#Debian系统
wget https://www.moerats.com/usr/shell/Python3/Debian_Python3.6.sh && sh Debian_Python3.6.sh

然后再输入python3 -V看是否安装成功。一般安装成功就可以使用python3pip3了。

提示

如果想修改系统默认的Python版本的话,还需要创建软链接,可使用命令:

cd /usr/bin
mv python python.backup
ln -s /usr/local/bin/python3 /usr/bin/python

然后重启运行python -V查看即可。

一般CenOS系统修改后会出现yum用不了的情况,这时候需要编辑yum的配置文件,方法如下:

vi /usr/bin/yum
将文件首行
#!usr/bin/python
修改为python之前的版本,如:
#!/usr/bin/python2.7
EdgeNat韩国LG机房,延迟低,建站稳定,月付48元,8折码edgeNAT点击查看
最后修改:2018 年 02 月 08 日 12 : 09 AM

发表评论 取消回复

15 条评论

  1. rade

    请问Debian系统不小心安装成了centos版的python3怎么办。。。。
    Installing collected packages: setuptools, pip
    Successfully installed pip-9.0.1 setuptools-28.8.0
    显示安装成功了。。。

    1. Rat's
      @rade

      python3 -V这个命令有返回的话,问题不大

  2. wqe

    请问大佬,脚本在哪里下载

    1. Rat's
      @wqe

      wget后面的链接地址就是

  3. mmox
    $ensurepip --root=/ ; \

    fi
    Exception:
    Traceback (most recent call last):
    File "/tmp/tmp4btgo7iu/pip-9.0.1-py2.py3-none-any.whl/pip/basecommand.py", line 215, in main

    status = self.run(options, args)

    File "/tmp/tmp4btgo7iu/pip-9.0.1-py2.py3-none-any.whl/pip/commands/install.py", line 272, in run

    with self._build_session(options) as session:

    File "/tmp/tmp4btgo7iu/pip-9.0.1-py2.py3-none-any.whl/pip/basecommand.py", line 72, in _build_session

    insecure_hosts=options.trusted_hosts,

    File "/tmp/tmp4btgo7iu/pip-9.0.1-py2.py3-none-any.whl/pip/download.py", line 329, in init

    self.headers["User-Agent"] = user_agent()

    File "/tmp/tmp4btgo7iu/pip-9.0.1-py2.py3-none-any.whl/pip/download.py", line 93, in user_agent

    from pip._vendor import distro

    File "<frozen importlib._bootstrap>", line 971, in _find_and_load
    File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
    File "<frozen importlib._bootstrap>", line 656, in _load_unlocked
    File "<frozen importlib._bootstrap>", line 626, in _load_backward_compatible
    File "/tmp/tmp4btgo7iu/pip-9.0.1-py2.py3-none-any.whl/pip/_vendor/distro.py", line 1050, in <module>

    _distro = LinuxDistribution()

    File "/tmp/tmp4btgo7iu/pip-9.0.1-py2.py3-none-any.whl/pip/_vendor/distro.py", line 594, in init

    if include_lsb else {}

    File "/tmp/tmp4btgo7iu/pip-9.0.1-py2.py3-none-any.whl/pip/_vendor/distro.py", line 931, in _get_lsb_release_info

    raise subprocess.CalledProcessError(code, cmd, stdout, stderr)

    subprocess.CalledProcessError: Command 'lsb_release -a' returned non-zero exit status 126.
    Makefile:1099: recipe for target 'install' failed
    make: * [install] Error 2

    1. Rat's
      @mmox

      这个还没遇到过,你什么系统,试着软件包安装下,可以参考这个https://www.moerats.com/archives/906/

  4. 小弟

    之前按照大佬的教程安装了py3 设置了默认py3
    但是今天重启了 发现宝塔进不去了 原来之前使用py2安装的宝塔 所以有这个问题
    搜了一下解决方法解决的了 以防后面有兄弟有这个问题

    https://my.oschina.net/bileel/blog/2222172


    所以我们需要移除软链还原原来的Python版本

    rm -rf /usr/bin/python
    ln -s /usr/bin/python2.7 /usr/bin/python
    这时候重启一下面板会看到

    [root@localhost ~]# service bt restart
    Stopping Bt-Tasks... done
    Stopping Bt-Panel... done
    Starting Bt-Panel... done
    Starting Bt-Tasks... done

    1. Rat's
      @小弟

      一般脚本只安装了py3,没有修改默认的py版本,也不建议乱改,毕竟会出问题,不过你这种行为值得表扬,可以给以后出错的借鉴下。

  5. 小弟

    Collecting setuptools
    Collecting pip
    Installing collected packages: setuptools, pip
    Successfully installed pip-9.0.1 setuptools-28.8.0
    [root@izwz9a7gtmwgnxzoj6j3h7z admin]# python3 -v
    bash: python3: command not found
    [root@izwz9a7gtmwgnxzoj6j3h7z admin]# python3
    bash: python3: command not found

    1. 小弟
      @小弟

      重启一下有了!

  6. zhujiwiki

    debian 8 9 下:
    configure: error: in `/root/Python-3.6.4':
    configure: error: no acceptable C compiler found in $PATH
    See `config.log' for more details
    make: * No targets specified and no makefile found. Stop.

    1. Rat's
      @zhujiwiki

      缺少gcc,加上去了。

  7. honey

    不行,error了

    1. Rat's
      @honey

      哪里error?

  8. honey

    赞赞赞一个